Bug 64333 - Service not restarted upon error on 1 member
Service not restarted upon error on 1 member
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-02 12:25 EDT by Tim Burke
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-17 18:06:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Burke 2002-05-02 12:25:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I configured a samba service on member A and forgot to copy over the
smb.conf.sharename file over to member B.  (OK, this is a user configuration
error.)  The service was started up on A, but its preferred member was B.  Then
when member B joined the cluster, member A stopped the service, assuming that
member B would pick it up.  Member B was unable to start the service. 
Consequently the service was left in the disabled state, where it ideally would
have been restarted on member A.

I would imagine that there may be other scenarios whereby a service is unable to
start on one member, but can run on the other.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Detailed above
2.
3.
	

Actual Results:  Service outage.

Expected Results:  Service running on healthy cluster member.

Additional info:
Comment 1 Jason Baron 2002-05-02 14:17:21 EDT
The ideal behavior suggested is in the service manager.  I tried this same 
scenario and this ideal behavior was exhibited. Perhaps, more info is 
needed to reproduce this problem?
Comment 2 Lon Hohberger 2002-07-18 17:07:02 EDT
Fix in pool.

Note You need to log in before you can comment on or make changes to this bug.